Bug 869301 - Review Request: erlpmd - A drop-in replacement for epmd written in Erlang
Review Request: erlpmd - A drop-in replacement for epmd written in Erlang
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 10:12 EDT by Peter Lemenkov
Modified: 2013-10-23 14:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 03:38:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
brendan.jones.it: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2012-10-23 10:12:25 EDT
Spec URL: http://peter.fedorapeople.org/erlpmd.spec
SRPM URL: http://peter.fedorapeople.org/erlpmd-2.0.0-1.fc19.src.rpm
Description: A drop-in replacement for epmd written in Erlang.
Fedora Account System Username: peter

Koji scratchbuild:
* http://koji.fedoraproject.org/koji/taskinfo?taskID=4618688

rpmlint:
sulaco ~: rpmlint rpmbuild/SRPMS/erlpmd-2.0.0-1.fc19.src.rpm rpmbuild/RPMS/ppc/erlpmd-2.0.0-1.fc19.ppc.rpm 
erlpmd.src: W: spelling-error Summary(en_US) epmd -> deep
erlpmd.src: W: spelling-error %description -l en_US epmd -> deep
erlpmd.ppc: W: spelling-error Summary(en_US) epmd -> deep
erlpmd.ppc: W: spelling-error %description -l en_US epmd -> deep

^^^ false positives

erlpmd.ppc: E: no-binary
erlpmd.ppc: W: only-non-binary-in-usr-lib

^^^ That's ok. This is how almost all Erlang packages are designed. Even if they doesn't contain arch-specific data they must (should, actually, but that's a long story) be installed into arch-specific directory.

2 packages and 0 specfiles checked; 1 errors, 5 warnings.
sulaco ~: 

The idea behind this package is to build a better Erlang Port Mapping Daemon (epmd for short) that current one. Right now it's fully compatible with epmd but I plan to add more features - nodes auto-discovery via Avahi, better fault tolerance, status retrieval, syslog/journald logs redirection, and much more.
Comment 1 Brendan Jones 2012-10-28 14:27:55 EDT
I'll take this on.
Comment 2 Brendan Jones 2012-10-28 14:55:43 EDT
A few comments:

 - package meets current erlang precedents/guidelines
 - correct use of systemd scriplets and serivces. The %systemd_requires macro can be used to specify the requires
 - user and groups handled correctly (although a slightly more detailed useradd description would be nice)
 - rpmlint output is not silent but are all false positives
 - as you are upstream it would be nice to call the license file LICENSE or COPYING, but that's really up to you
 

None of these are blockers. Full review below. 


Peter this package is APPROVED.


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/bsjones/rpmbuild/SRPMS/review-
     erlpmd/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (lemenkov-erlpmd-2.0.0-0-g1934896.tar.gz)
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: erlpmd-2.0.0-1.fc16.x86_64.rpm
          erlpmd-2.0.0-1.fc16.src.rpm
erlpmd.x86_64: W: spelling-error Summary(en_US) epmd -> deep
erlpmd.x86_64: W: spelling-error %description -l en_US epmd -> deep
erlpmd.x86_64: E: no-binary
erlpmd.x86_64: W: only-non-binary-in-usr-lib
erlpmd.x86_64: W: percent-in-%post
erlpmd.x86_64: W: percent-in-%preun
erlpmd.x86_64: W: percent-in-%postun
erlpmd.x86_64: W: one-line-command-in-%postun %systemd_postun
erlpmd.src: W: spelling-error Summary(en_US) epmd -> deep
erlpmd.src: W: spelling-error %description -l en_US epmd -> deep
2 packages and 0 specfiles checked; 1 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint erlpmd
erlpmd.x86_64: I: enchant-dictionary-not-found en_US
erlpmd.x86_64: E: no-binary
erlpmd.x86_64: W: only-non-binary-in-usr-lib
erlpmd.x86_64: W: percent-in-%post
erlpmd.x86_64: W: percent-in-%preun
erlpmd.x86_64: W: percent-in-%postun
erlpmd.x86_64: W: one-line-command-in-%postun %systemd_postun
1 packages and 0 specfiles checked; 1 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
erlpmd-2.0.0-1.fc16.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    erlang-erlando(x86-64)
    erlang-erts(x86-64)
    erlang-kernel(x86-64)
    erlang-stdlib(x86-64)
    systemd



Provides
--------
erlpmd-2.0.0-1.fc16.x86_64.rpm:
    
    erlpmd = 2.0.0-1.fc16
    erlpmd(x86-64) = 2.0.0-1.fc16



MD5-sum check
-------------
https://github.com/lemenkov/erlpmd/tarball/2.0.0/lemenkov-erlpmd-2.0.0-0-g1934896.tar.gz :
  CHECKSUM(SHA256) this package     : 2353ed31f5678d2cf2dc3d769c48ce24c65f9ccb2a001f39b50566de362aec77
  CHECKSUM(SHA256) upstream package : 2353ed31f5678d2cf2dc3d769c48ce24c65f9ccb2a001f39b50566de362aec77


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-16-x86_64
Command line :/usr/bin/fedora-review -n erlpmd
Comment 3 Peter Lemenkov 2012-10-28 15:49:33 EDT
Thanks Brendan!
I'll add some licensing info in the next version.

New Package SCM Request
=======================
Package Name: erlpmd
Short Description: A drop-in replacement for epmd written in Erlang
Owners: peter
Branches: f18
InitialCC:
Comment 4 Gwyn Ciesla 2012-10-28 16:45:42 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-10-29 01:57:26 EDT
erlpmd-2.0.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/erlpmd-2.0.0-1.fc18
Comment 6 Fedora Update System 2012-10-29 05:58:06 EDT
erlpmd-2.0.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/erlpmd-2.0.1-1.fc18
Comment 7 Fedora Update System 2012-10-29 14:12:35 EDT
erlpmd-2.0.1-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 8 Peter Lemenkov 2013-10-23 14:01:50 EDT
Package Change Request
======================
Package Name: erlpmd
InitialCC: erlang-sig
Comment 9 Gwyn Ciesla 2013-10-23 14:21:56 EDT
Done.

Note You need to log in before you can comment on or make changes to this bug.